@media only screen and (max-width:768px) {
    *, *::after, *::before {
        box-sizing: border-box;
    }
    /* Comment Modal Styles */
    #comments-modal {
        top: 50px;
        height: 500px;
    }
    #comments-modal .modal-header .title {
        left: 50%;
        top: 50%;
        transform: translate(50%);
    }
    #comments-modal-body {
        top: 50px;
        display: block;
        border: solid 2px black;
        border-radius: 10px;
        padding: 5px;
        width: 100%;
        height: 470px;
    }
    /*Comments UI Styles*/
    #comments {
        display: inline-block;
        overflow: scroll;
        padding: 5px;
        height: 300px;
        width: 100%;
        border: 4px ridge rgb(207, 219, 41);
    }
    .comment-author {
        font-weight: bold;
        font-size: small;
        font-family: fantasy;
        color: grey;
    }
    .comment-body {
        overflow: scroll;
        font-family: cursive;
        font-size: medium;
    }
    .comment-time {
        font-family: 'Times New Roman', Times, serif;
        font-size: x-small;
        color: rgb(55, 58, 61);
    }
    /* Comments Input UI Styles*/
    #comment-input-wrapper {
        position: relative;
        bottom: 5px;
        padding: 5px;
        height: 100px;
        width: 100%;
        border: 1px inset grey;
    }
    #comment-input {
        float: left;
        margin-top: 5px;
        overflow: scroll;
        overflow-wrap: break-word;
        position: relative;
    }
    #post-btn {
        font-size: 12px;
        position: absolute;
        padding: 0;
        margin: 0;
        top: 45px;
        right: 5px;
        border-right: 5px inset rgb(39, 123, 219);
        border-radius: 10px;
        background: transparent;
        width: 60px;
        height: 25px;
        cursor: pointer;
    }
    #comment h4 {
        color: rgb(73, 75, 70);
    }
    .avatar-img {
        position: absolute;
        right: 10px;
        height: 60px;
        width: 60px;
    }
    .comment-username {
        position: absolute;
        right: 70px;
    }
    .signin-text {
        position: absolute;
        left: 5px;
    }
}

@media only screen and (min-width:769px) {
    *, *::after, *::before {
        box-sizing: border-box;
    }
    #comments-modal {
        width: 100%;
        height: 740px;
    }
    #comments-modal-body {
        display: block;
        border: solid 2px black;
        border-radius: 10px;
        padding: 10px;
        width: 100%;
        height: 675px;
    }
    #comments {
        display: inline-block;
        overflow: scroll;
        padding: 5px;
        border: 1px inset rgb(231, 6, 6);
        height: 600px;
        width: 100%;
    }
    .comment-author {
        font-weight: bold;
        font-size: small;
        font-family: fantasy;
        color: aqua;
    }
    .comment-body {
        font-family: cursive;
        font-size: medium;
    }
    .comment-time {
        font-family: 'Times New Roman', Times, serif;
        font-size: x-small;
        color: rgb(55, 58, 61);
    }
    #comment-input-wrapper {
        bottom: 5px;
        padding: 5px;
        height: 150px;
        width: 100%;
        border: 1px inset rgb(168, 19, 19);
    }
    #comment-input {
        margin-top: 5px;
        overflow: scroll;
        overflow-wrap: break-word;
        position: relative;
    }
    #post-btn {
        top: 40px;
        position: relative;
        float: inline-end;
        height: 20px;
        width: 45px;
    }
    #comment h4 {
        color: rgb(73, 75, 70);
    }
    .avatar-img {
        position: absolute;
        right: 10px;
        height: 60px;
        width: 60px;
    }
    .comment-username {
        position: absolute;
        right: 70px;
    }
    .signin-text {
        position: absolute;
        right: 50px;
    }
}